Issue 97974 - Can't draw after autofilter and Undo
Summary: Can't draw after autofilter and Undo
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2009-01-12 08:50 UTC by amy2008
Modified: 2013-08-07 15:14 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
A patch about issue 97974. (1.45 KB, text/plain)
2009-03-06 01:51 UTC, gaozm
no flags Details
A new patch about issue 97974. (2.93 KB, text/plain)
2009-03-17 08:39 UTC, gaozm
no flags Details
A new patch about issue 97974. (2.92 KB, text/plain)
2009-03-18 08:33 UTC, gaozm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2009-01-12 08:50:45 UTC
Can reproduce it with DEV300m37 on WinXP and Fedora

How to reproduce it
1 Open a new Calc file
2 Enter some characters in a cell, like entering 'test' in cell B2, select
  column B and Data-Filter-AutoFilter, dialog hints no column
  headers, Yes. choose down-arrow and select 'test' characters in the list
3 Undo, drawing a rectangle from the drawing bar

Result
Under the third row, can't draw rectangle

Expectation
Can draw rectangle

Note 
If the Filter result more than one page, can draw rectangle correctly

Regards
Li Meiying
Comment 1 oleghitekschool 2009-01-19 03:56:06 UTC
Checked on WinXP with DEV300m27 - reproducable as described.
Comment 2 gercokees 2009-03-04 09:55:20 UTC
related to issue 97976
Comment 3 gaozm 2009-03-06 01:51:01 UTC
Created attachment 60763 [details]
A patch about issue 97974.
Comment 4 niklas.nebel 2009-03-10 16:03:59 UTC
So far we don't use ScTable objects outside of core/data. We shouldn't start it
just for this call. Perhaps the call can be added to ScTable::CopyToTable, like
in ScTable::UndoToTable, but check first if this breaks anything.
Comment 5 gaozm 2009-03-17 08:39:09 UTC
Created attachment 60967 [details]
A new patch about issue 97974.
Comment 6 niklas.nebel 2009-03-17 18:32:38 UTC
Using one table's nRecalcLvl variable for setting the other table's page size
looks wrong.
Comment 7 gaozm 2009-03-18 08:33:59 UTC
Created attachment 61003 [details]
A new patch about issue 97974.
Comment 8 niklas.nebel 2009-03-18 17:32:03 UTC
taking the issue
Comment 9 niklas.nebel 2009-03-18 17:32:57 UTC
I added the last patch to CWS "calc49".
Comment 10 niklas.nebel 2009-03-18 17:34:39 UTC
patch, not task.
Comment 11 niklas.nebel 2009-04-03 08:53:09 UTC
reassigning to QA for verification
Comment 12 oc 2009-05-12 08:37:06 UTC
verified in internal build cws_calc49
Comment 13 amy2008 2009-06-02 08:53:28 UTC
Verified in DEV300m49 on WinXP and Fedora9
Closing